math.h(3)

NAME
math.h -

Detailed Description

SYNOPSIS

  Defines
#define M_PI 3.141592653589793238462643
#define M_SQRT2 1.4142135623730950488016887
#define NAN __builtin_nan('')
#define INFINITY __builtin_inf()

  Functions
double cos (double __x)
double fabs (double __x)
double fmod (double __x, double __y)
double modf (double __x, double *__iptr)
double sin (double __x)
double sqrt (double __x)
double tan (double __x)
double floor (double __x)
double ceil (double __x)
double frexp (double __x, int *__pexp)
double ldexp (double __x, int __exp)
double exp (double __x)
double cosh (double __x)
double sinh (double __x)
double tanh (double __x)
double acos (double __x)
double asin (double __x)
double atan (double __x)
double atan2 (double __y, double __x)
double log (double __x)
double log10 (double __x)
double pow (double __x, double __y)
int isnan (double __x)
int isinf (double __x)
double square (double __x)
static double copysign (double __x, double __y)
double fdim (double __x, double __y)
double fma (double __x, double __y, double __z)
double fmax (double __x, double __y)
double fmin (double __x, double __y)
int signbit (double __x)
double trunc (double __x)
static int isfinite (double __x)
double hypot (double __x, double __y)
double round (double __x)
long lround (double __x)
long lrint (double __x)

Author

Generated automatically by Doxygen for avr-libc from the source code.